Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class Well44497b

    java.lang.Object
      org.apache.commons.math.random.BitsStreamGenerator
          org.apache.commons.math.random.AbstractWell
              org.apache.commons.math.random.Well44497b

All Implemented Interfaces:
  Serializable, RandomGenerator

    public class Well44497b

extends AbstractWell

This class implements the WELL44497b pseudo-random number generator from François Panneton, Pierre L'Ecuyer and Makoto Matsumoto.

This generator is described in a paper by François Panneton, Pierre L'Ecuyer and Makoto Matsumoto Improved Long-Period Generators Based on Linear Recurrences Modulo 2 ACM Transactions on Mathematical Software, 32, 1 (2006). The errata for the paper are in wellrng-errata.txt.

Since:
  2.2
Version:
  $Revision: 1003892 $ $Date: 2010-10-02 23:28:56 +0200 (sam. 02 oct. 2010) $
See Also:
  WELL Random number generator, Serialized Form

Field Summary

Fields inherited from class org.apache.commons.math.random.AbstractWell
`i1, i2, i3, index, iRm1, iRm2, v`

Constructor Summary
`Well44497b()` Creates a new random number generator.
`Well44497b(int seed)` Creates a new random number generator using a single int seed.
`Well44497b(int[] seed)` Creates a new random number generator using an int array seed.
`Well44497b(long seed)` Creates a new random number generator using a single long seed.

Method Summary
`protected int` | `next(int bits)` Generate next pseudorandom number.

Methods inherited from class org.apache.commons.math.random.AbstractWell
`setSeed, setSeed, setSeed`

Methods inherited from class org.apache.commons.math.random.BitsStreamGenerator
`nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Well44497b

    public Well44497b()

  Creates a new random number generator.

  The instance is initialized using the current time as the seed.

### Well44497b

    public Well44497b(int seed)

  Creates a new random number generator using a single int seed.

  Parameters:
    `seed` - the initial seed (32 bits integer)

### Well44497b

    public Well44497b(int[] seed)

  Creates a new random number generator using an int array seed.

  Parameters:
    `seed` - the initial seed (32 bits integers array), if null the seed of the generator will be related to the current time

### Well44497b

    public Well44497b(long seed)

  Creates a new random number generator using a single long seed.

  Parameters:
    `seed` - the initial seed (64 bits integer)

Method Detail

### next

    protected int next(int bits)

  Generate next pseudorandom number.

  This method is the core generation algorithm. It is used by all the public generation methods for the various primitive types `BitsStreamGenerator.nextBoolean()`, `BitsStreamGenerator.nextBytes(byte[])`, `BitsStreamGenerator.nextDouble()`, `BitsStreamGenerator.nextFloat()`, `BitsStreamGenerator.nextGaussian()`, `BitsStreamGenerator.nextInt()`, `BitsStreamGenerator.next(int)` and `BitsStreamGenerator.nextLong()`.

  Specified by:
    `next` in class `AbstractWell`
  Parameters:
    `bits` - number of random bits to produce
  Returns:
    random bits generated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.